CC ?= gcc

ifeq ($(CC),gcc)
  OPTIM=-O3 -march=native
  CFLAGS=-I${OPENBLAS_ROOT}/include ${OPTIM}
  LDFLAGS=-L${OPENBLAS_ROOT}/lib -lopenblas # -Wl,-rpath=${OPENBLAS_ROOT}/lib
else
  OPTIM=-O3 -xHOST
  CFLAGS=-DMKLINUSE -I${INTEL_MKL_ROOT}/include ${OPTIM}
  LDFLAGS=-L${INTEL_MKL_ROOT}/lib -lmkl_rt # -Wl,-rpath=${INTEL_MKL_ROOT}/lib
endif

dgemm: dgemm.o

clean:
	rm -f *.o dgemm
